Skip to main content
GET
/
v1
/
config
/
contexts
/
{contextId}
/
sources
/
{sourceId}
Get a reconciliation source
curl --request GET \
  --url https://matcher.sandbox.lerian.net/v1/config/contexts/{contextId}/sources/{sourceId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "contextId": "<string>",
  "name": "<string>",
  "type": "LEDGER",
  "config": {},
  "feeScheduleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token authentication (format: "Bearer {token}")

Headers

X-Request-Id
string

A unique identifier for tracing the request across services.

Path Parameters

contextId
string
required

The unique identifier of the reconciliation context.

sourceId
string
required

The unique identifier of the reconciliation source.

Response

Successfully retrieved source

id
string
contextId
string
name
string
type
enum<string>

Category of data source for reconciliation

Available options:
LEDGER,
BANK,
GATEWAY,
CUSTOM
config
object
feeScheduleId
string<uuid>
createdAt
string
updatedAt
string